Subject: bug#56323: 29.0.50; [v2] Add new customisable phonetic Tamil input method

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jul 2022 09:35:56 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 02 Jul 2022 09:32:34 +0530
> 
> > Please tell what is the actual order of the characters.  That is,
> > where is that order defined, and by what criteria?
> 
> I'm not sure what you mean "where is that order defined," I don't think
> there is a definition per se, it just happens to be so.
> 
> There are two "classes" of consonants: those that are part of Tamil
> (let's call them "core") and those borrowed from Sanskrit.  When one
> writes the consonants in order, the core consonants come first then the
> Sanskrit ones.  You can find the order of the core consonants in
> wikipedia here in the table titled "Tamil consonants":
> https://en.wikipedia.org/wiki/Tamil_script#Letters
> 
> We need not worry too much about the order of Sanskrit consonants, we
> just need to ensure that they come after the core consonants.  You can
> find these Sanskrit consonants in the table titled "Grantha consonants
> in Tamil" in the same link.
> 
> I hope this is clear.
> 
> As for the criteria, it is simply "Tamil consonants then the Sanskrit
> consonants."

Then your comparison function should first see whether a character is
in the former or the latter group, and use string-lessp or character
codepoint comparison with each group, right?  But that's not what you
did, so I wonder whether my understanding is correct.